Subject: bug#8021: closed (Re: bug#8021: bootstrap failed on solaris10)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Jul 2011 21:59:02 +0000

Your bug report

#8021: bootstrap failed on solaris10

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8021: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8021
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8021: bootstrap failed on solaris10
From: Jim Meyering <[email-masked]>
To: Jeff liu <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Jul 2011 23:58:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim Meyering wrote:
> Jeff liu wrote:
>> I was ran into a wired issue when running `bootstrap` on solaris10
>> with bash-3.00,
>> bash-3.00# ./bootstrap
>> ./bootstrap: syntax error at line 328: `p1=$' unexpected
>
> Try "bash ./bootstrap".
> Otherwise, bootstrap uses /bin/sh, which (on that system)
> doesn't know about the $(...) syntax.
>
>> bash-3.00# uname -a
>> SunOS pibroch 5.10 Generic_142910-17 i86pc i386 i86pc
>>
>> Coreutils is cloned from upstream, I am intend to try it on Solaris
>> for sparse file copy through lseek.

Jeff confirmed that using bash worked around the problem,
so I'm closing this.

Subject: bootstrap failed on solaris10
From: Jeff liu <[email-masked]>
To: [email-masked]
Date: Sat, 12 Feb 2011 17:03:49 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I was ran into a wired issue when running `bootstrap` on solaris10 with bash-3.00, 
bash-3.00# ./bootstrap
./bootstrap: syntax error at line 328: `p1=$' unexpected

bash-3.00# uname -a
SunOS pibroch 5.10 Generic_142910-17 i86pc i386 i86pc

Coreutils is cloned from upstream,  I am intend to try it on Solaris for sparse file copy through lseek. 

Best Regards,
-Jeff